Subject: Re: [PATCH] powerpc: Create "rom" (MTD) device prpmc2800

From: Segher Boessenkool <[email-masked]>
Date: Wed, 13 Jun 2007 11:13:21 +0200

> Hrm, ok.  Between you and BenH you've convinced me.  I'll try to come
> up with something.  I think we'll still need to support the old
> properties as backwards compatibility thing.

Yes, of course.

I'm still not happy with creating nodes for application
flash partitions in the device tree; this isn't done
for disk partitions either, for analogue reasons (namely,
that info doesn't belong in the device tree, it is the
wrong abstraction).

How do non-device-tree MTD users handle this?

Segher